Bug 164938 - 'Remember Search' broken when 'Name Specified' has '+' chars
'Remember Search' broken when 'Name Specified' has '+' chars
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-02 17:50 EDT by Satish Balay
Modified: 2013-06-23 22:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-16 13:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2005-08-02 17:50:38 EDT
Description of problem:

After performing a search in bugzilla - an option pops up to 'remember search'.
If the name specified [at this point] for the search has '+' chars - then this
search is unusable

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. do a query in bugzilla
2. 'remember the search' with the name 'stdc++_shared'
3. Now from the 'preset' queries - click on 'stdc++_shared'
Actual results:
I get the error:
 The search named stdc _shared does not exist.
Expected results:

Search to work.

Additional info:

Now I can't delete this preset search-tag anymore. When I attempt
to do that - I get:
 Alternatively, you can forget  this saved search: 'stdc _shared'.

But When I click that option - I see:
Search is gone
OK, the stdc _shared search is gone

But 'stdc++_shared' is still listed in 'Preset Queries'
Comment 1 David Lawrence 2005-08-23 15:08:35 EDT
Verified this is broken. Taking ownership.
Comment 2 David Lawrence 2008-09-16 12:53:07 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 Satish Balay 2008-09-16 13:04:57 EDT
I just tried this - the new code appears to work as expected.

So this issue can be closed now.

Comment 4 David Lawrence 2008-09-16 13:14:12 EDT
Thanks for verifying this is fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.